All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::tools::CONST_REMOVER< T > Struct Template Reference

Removes the const qualifier from a type. More...

`#include <tools.hpp>`

## Public Types

typedef T | ResultType

## Detailed Description

### template<typename T>
struct viennacl::tools::CONST_REMOVER< T >

Removes the const qualifier from a type.

Definition at line 204 of file tools.hpp.

## Member Typedef Documentation

template<typename T >

typedef T viennacl::tools::CONST_REMOVER< T >::ResultType

Definition at line 206 of file tools.hpp.

The documentation for this struct was generated from the following file:

- viennacl/tools/tools.hpp